using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface IUserProductLogic
	{

		UserProductViewModel ReadElement(ProductSearchModel model);

		IEnumerable<UserProductViewModel> ReadElements(ProductSearchModel? model);

		UserProductViewModel Delete(ProductSearchModel model);
	}
}
